remoteActionAudit の作成
名前空間: microsoft.graph
大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
新しい remoteActionAudit オブジェクトを作成 します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementConfiguration.ReadWrite.All, DeviceManagementManagedDevices.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.ReadWrite.All, DeviceManagementManagedDevices.ReadWrite.All |
HTTP 要求
POST /deviceManagement/remoteActionAudits
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、remoteActionAudit オブジェクトの JSON 表記を指定します。
次の表に、remoteActionAudit を作成するときに必要なプロパティを示します。
| プロパティ | 種類 | 説明 |
|---|---|---|
| id | String | レポート ID。 |
| deviceDisplayName | String | Intune デバイス名。 |
| userName | String | [非推奨 ] 代わりに、InitiatedByUserPrincipalName を使用してください。 |
| initiatedByUserPrincipalName | String | デバイスアクションを開始したユーザーの形式は UPN です。 |
| action | remoteAction | アクション名。 使用できる値は unknown factoryReset 、、、、 、 です removeCompanyData resetPasscode remoteLock enableLostMode disableLostMode locateDevice rebootNow recoverPasscode cleanWindowsDevice logoutSharedAppleDeviceActiveUser quickScan fullScan windowsDefenderUpdateSignatures factoryResetKeepEnrollmentData updateDeviceAccount automaticRedeployment shutDown rotateBitLockerKeys rotateFileVaultKey getFileVaultKey setDeviceName activateDeviceEsim 。 |
| requestDateTime | DateTimeOffset | UTC で指定されたアクションが発行された時刻。 |
| deviceOwnerUserPrincipalName | String | デバイス所有者の Upn。 |
| deviceIMEI | String | デバイスの IMEI。 |
| actionState | actionState | アクションの状態。 可能な値は、none、pending、canceled、active、done、failed、notSupported です。 |
| managedDeviceId | String | アクション ターゲット。 |
応答
成功した場合、このメソッドは応答コードと、応答本文 201 Created の remoteActionAudit オブジェクトを返します。
例
要求
以下は、要求の例です。
POST https://graph.microsoft.com/beta/deviceManagement/remoteActionAudits
Content-type: application/json
Content-length: 504
{
"@odata.type": "#microsoft.graph.remoteActionAudit",
"deviceDisplayName": "Device Display Name value",
"userName": "User Name value",
"initiatedByUserPrincipalName": "Initiated By User Principal Name value",
"action": "factoryReset",
"requestDateTime": "2017-01-01T00:03:07.1589002-08:00",
"deviceOwnerUserPrincipalName": "Device Owner User Principal Name value",
"deviceIMEI": "Device IMEI value",
"actionState": "pending",
"managedDeviceId": "Managed Device Id value"
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 553
{
"@odata.type": "#microsoft.graph.remoteActionAudit",
"id": "477f8d24-8d24-477f-248d-7f47248d7f47",
"deviceDisplayName": "Device Display Name value",
"userName": "User Name value",
"initiatedByUserPrincipalName": "Initiated By User Principal Name value",
"action": "factoryReset",
"requestDateTime": "2017-01-01T00:03:07.1589002-08:00",
"deviceOwnerUserPrincipalName": "Device Owner User Principal Name value",
"deviceIMEI": "Device IMEI value",
"actionState": "pending",
"managedDeviceId": "Managed Device Id value"
}
フィードバック
フィードバックの送信と表示